---
title: DragEvent.dataTransfer
slug: Web/API/DragEvent/dataTransfer
tags:
  - API
  - DOM
  - Property
  - Reference
  - drag and drop
---
<div>{{APIRef("HTML Drag and Drop API")}}</div>

<p>The <code><strong>DragEvent.dataTransfer</strong></code> property holds the drag operation's data (as a {{domxref("DataTransfer")}} object).</p>

<p>This property is {{readonlyInline}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <var>data</var> = <var>dragEvent</var>.dataTransfer;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
	<dt><code><var>data</var></code></dt>
	<dd>A {{domxref("DataTransfer")}} object which contains the {{domxref("DragEvent","drag event's data")}}.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates accessing the drag and drop data within the {{event("dragend")}} event handler.</p>

<pre class="brush: js">function processData(d) {
   // Process the data ...
}

dragTarget.addEventListener("dragend", function(ev) {
   // Call the drag and drop data processor
   if (ev.dataTransfer !== null) processData(ev.dataTransfer);
 }, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("HTML WHATWG", "interaction.html#dom-dragevent-datatransfer", "DragEvent.dataTransfer")}}</td>
			<td>{{Spec2("HTML WHATWG")}}</td>
			<td></td>
		</tr>
		<tr>
			<td>{{SpecName("HTML5.1", "editing.html#dom-dragevent-datatransfer", "DragEvent.dataTransfer")}}</td>
			<td>{{Spec2("HTML5.1")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DragEvent.dataTransfer")}}</p>
